Bug 208909 - ftp/proftpd: Characters with diacritics not working on 10.3
Summary: ftp/proftpd: Characters with diacritics not working on 10.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Martin Matuska
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-18 20:20 UTC by Bernard Spil
Modified: 2016-04-28 01:05 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (mm)
junovitch: merge-quarterly+


Attachments
svn diff for ftp/proftpd (2.07 KB, patch)
2016-04-18 20:20 UTC, Bernard Spil
no flags Details | Diff
build log (225.17 KB, text/plain)
2016-04-20 20:47 UTC, Fabiano Sidler
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2016-04-18 20:20:25 UTC
Created attachment 169457 [details]
svn diff for ftp/proftpd

ProFTPd does not link iconv libs on FreeBSD 10.

This is due to the addition of iconv to base and the change in ICONV parameters in the ports framework.

Additionally, options-ify the port.
Comment 1 commit-hook freebsd_committer 2016-04-20 12:05:24 UTC
A commit references this bug:

Author: mm
Date: Wed Apr 20 12:05:10 UTC 2016
New revision: 413681
URL: https://svnweb.freebsd.org/changeset/ports/413681

Log:
  Update proftpd to 1.3.5b
  Optionsify port

  PR:		208909

Changes:
  head/ftp/proftpd/Makefile
  head/ftp/proftpd/distinfo
Comment 2 Fabiano Sidler 2016-04-20 20:47:37 UTC
Created attachment 169501 [details]
build log

Applied the above patch and rebuilt, but it still doesn't link against iconv. Does it matter that I'm on 2016Q2?
Comment 3 Martin Matuska freebsd_committer 2016-04-20 21:48:38 UTC
On my system it links against iconv if installed from ports. Do you have libiconv from ports installed?
Comment 4 Fabiano Sidler 2016-04-21 08:38:42 UTC
Yes, but the package doesn't link against either one. Can you provide your build log?
Comment 5 Fabiano Sidler 2016-04-21 08:41:14 UTC
Sorry, I mean the executable /usr/local/sbin/proftpd in the package. No iconv shows up in the ldd output:
[root@pkg /tmp/proftpd]# ldd usr/local/sbin/proftpd
usr/local/sbin/proftpd:
	libcrypt.so.5 => /lib/libcrypt.so.5 (0x8008c8000)
	libutil.so.9 => /lib/libutil.so.9 (0x800ae8000)
	libintl.so.8 => /usr/local/lib/libintl.so.8 (0x800cfb000)
	libpcreposix.so.0 => /usr/local/lib/libpcreposix.so.0 (0x800f06000)
	libpcre.so.1 => /usr/local/lib/libpcre.so.1 (0x801108000)
	libpam.so.5 => /usr/lib/libpam.so.5 (0x80137d000)
	libthr.so.3 => /lib/libthr.so.3 (0x801589000)
	libssl.so.8 => /usr/local/lib/libssl.so.8 (0x8017ae000)
	libcrypto.so.8 => /usr/local/lib/libcrypto.so.8 (0x801a22000)
	libc.so.7 => /lib/libc.so.7 (0x801e2e000)
Comment 6 Bernard Spil freebsd_committer 2016-04-21 09:20:47 UTC
(In reply to Fabiano Sidler from comment #2)

Yes, it matters that you're on 2016Q2. As there's not been a MFH for this fix, it will only appear in 2016Q3

(In reply to Martin Matuska from comment #3)

Martin: As this is a security fix, it warrants a MFH request with ports-security@
Comment 7 Fabiano Sidler 2016-04-21 14:27:37 UTC
(In reply to Bernard Spil from comment #6)

Obviously I have applied your patch to my local 2016Q2 working copy and rebuilt (see my build log), but the proftpd executable still doesn't link against iconv, neither from ports nor from base nor from elsewhere.
Comment 8 Martin Matuska freebsd_committer 2016-04-21 22:53:16 UTC
And are you aware that the "system" iconv is part of libc so there is no link to a libiconv.so?
Comment 9 Fabiano Sidler 2016-04-25 09:43:19 UTC
I've now built with the changes from rev. 413681 and my local package still doesn't link against iconv!
http://www.apaste.info/4m2  Build log
http://www.apaste.info/7OP  Differences in 'proftpd -V' output

(In reply to Martin Matuska from comment #8)
Of course there is a link against iconv, clearly shown in the output of ldd on proftpd in the official package.
Comment 10 Bernard Spil freebsd_committer 2016-04-26 14:04:16 UTC
Just replicated the behaviour on my system.

Tried forcing it to link /usr/local/lib/libiconv.so but that does not fix the problem

$ ldd /usr/local/sbin/proftpd
/usr/local/sbin/proftpd:
        libcrypt.so.5 => /lib/libcrypt.so.5 (0x8008c7000)
        libiconv.so.2 => /usr/local/lib/libiconv.so.2 (0x800ae7000)
        libutil.so.9 => /lib/libutil.so.9 (0x800de1000)
        libintl.so.8 => /usr/local/lib/libintl.so.8 (0x800ff4000)
        libpcreposix.so.0 => /usr/local/lib/libpcreposix.so.0 (0x8011ff000)
        libpcre.so.1 => /usr/local/lib/libpcre.so.1 (0x801401000)
        libpam.so.5 => /usr/lib/libpam.so.5 (0x801676000)
        libthr.so.3 => /lib/libthr.so.3 (0x801882000)
        libssl.so.38 => /usr/lib/libssl.so.38 (0x801aa7000)
        libcrypto.so.37 => /usr/lib/libcrypto.so.37 (0x801d00000)
        libc.so.7 => /lib/libc.so.7 (0x8020d8000)
Comment 11 commit-hook freebsd_committer 2016-04-28 01:02:16 UTC
A commit references this bug:

Author: junovitch
Date: Thu Apr 28 01:01:38 UTC 2016
New revision: 414151
URL: https://svnweb.freebsd.org/changeset/ports/414151

Log:
  MFH: r413681

  Update proftpd to 1.3.5b
  Optionsify port

  PR:		208909
  Security:	CVE-2016-3125
  Security:	https://vuxml.FreeBSD.org/freebsd/a733b5ca-06eb-11e6-817f-3085a9a4510d.html
  Approved by:	ports-secteam (with hat)

Changes:
_U  branches/2016Q2/
  branches/2016Q2/ftp/proftpd/Makefile
  branches/2016Q2/ftp/proftpd/distinfo
Comment 12 Jason Unovitch freebsd_committer 2016-04-28 01:05:29 UTC
(In reply to Bernard Spil from comment #6)
> Martin: As this is a security fix, it warrants a MFH request with ports-security@

It looks like tagging the update with Security/MFH was missed a few days ago on the update.  Oddly there was a VuXML done in r413680.  I just MFH'd it and am setting merge-quarterly+ for the update.